Lavalite package that provides thecybergoat_legit_recovery_pros! management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `thecybergoat/thecybergoat_legit_recovery_pros!`.

    "thecybergoat/thecybergoat_legit_recovery_pros!": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider::class,

And also add it to alias

    'ThecybergoatLegitRecoveryPros!'  => Thecybergoat\ThecybergoatLegitRecoveryPros!\Facades\ThecybergoatLegitRecoveryPros!::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Thecybergoat\\ThecybergoatLegitRecoveryPros!\\Seeds\\ThecybergoatLegitRecoveryPros!TableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/thecybergoat_legit_recovery_pros!/{modulename}

**User**

    http://path-to-route-folder/user/thecybergoat_legit_recovery_pros!/{modulename}

**Public**

    http://path-to-route-folder/thecybergoat_legit_recovery_pros!s


### API endpoints

**List**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/thecybergoat_legit_recovery_pros!/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/thecybergoat_legit_recovery_pros!/{modulename}/{slug}
    METHOD: GET